Package org.apache.tools.ant.filters.util

# Class ChainReaderHelper.ChainReader

java.lang.Object
java.io.Reader
java.io.FilterReader
org.apache.tools.ant.filters.util.ChainReaderHelper.ChainReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

Enclosing class:
  `ChainReaderHelper`

public class ChainReaderHelper.ChainReader extends FilterReader
Created type.

- ## Field Summary

  ### Fields inherited from class java.io.FilterReader

  `in`

  ### Fields inherited from class java.io.Reader

  `lock`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected void`
  `finalize()`
  `String`
  `readFully()`

  ### Methods inherited from class java.io.FilterReader

  `mark, markSupported, read, read, ready, reset, skip`

  ### Methods inherited from class java.io.Reader

  `nullReader, read, read, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### readFully

    public String readFully() throws IOException
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `FilterReader`
    Throws:
      `IOException`

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`